{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title("##Configuration## - ##Feeds##")}
{$html->toolbar->deleteList()}
{$html->toolbar->popupAdd(500,250)}

<div style="float:left; width: 10%;">
	{include file='configuration/links.tpl'}
</div>
<div style="float:right; width: 90%;">
	<form name="adminForm" method="POST">
		<input type="hidden" name="checked" value="0"/>
		<input type="hidden" name="agora_task" value="configuration"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="page" value="aggregator"/>
		<input type="hidden" name="option" value="com_agora"/>
		<input type="hidden" name="boxchecked" value="0"/>
		<fieldset>
		<legend>##Feeds##</legend>
		<table class="adminlist">
			<thead>
				<tr>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll({$feeds|@count});" />
					</th>
					<th>##URL##</th>
					<th>##Forum##</th>
					<th>##per Cron##</th>
					<th>##Closed##</th>
					<th>##Last Post##</th>
					<th>##Num Posts##</th>
				</tr>
			</thead>
			<tfoot>
				<tr><td colspan="7">{$pagination->getListFooter()}</td></tr>
			</tfoot>
			<tbody>
				{foreach from=$feeds item=feed key=num}
				<tr>
					<td>{$html->jhtml('grid.id',$num,$feed.url)}</td>
					<td>{$feed.url}</td>
					<td>
						<center>
						{if $feed.forum_name}
							{$feed.forum_name}
						{else}
							<strong>##DELETED##</strong>
						{/if}
			  			</center>
					</td>
					<td>
						<center>{if $feed.max}
							{$feed.max}
						{else}
							##Unlimited##
						{/if}</center>
					</td>
					<td>
						<center>{if $feed.closed}##Yes##{else}##No##{/if}</center>
					</td>
					<td>
						<center>
							{if $feed.last_post}
								{$feed.last_post|agora_date}
							{else}
								##Never##
							{/if}
				  		</center>
					</td>
					<td><center>{$feed.num_posts}</center></td>
				</tr>
				{/foreach}
			</tbody>
		</table>
		</fieldset>
	</form>
</div>