{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##Configuration## - ##Ranks##')}
{$html->toolbar->deleteList()}
{$html->toolbar->editList()}
{$html->toolbar->popupAdd()}

<div style="float:left; width: 10%;">
	{include file=configuration/links.tpl}
</div>

<div style="float:right; width: 90%;">
	<form name="adminForm" method="POST">
		<input type="hidden" name="checked" value="0"/>
		<input type="hidden" name="agora_task" value="configuration"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="page" value="ranks"/>
		<input type="hidden" name="option" value="com_agora"/>
		<input type="hidden" name="boxchecked" value="0"/>
		<fieldset>
			<legend>##CURRENT RANKS##</legend>
			<table class="adminlist">
				<thead>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll({$ranks|@count});" />
					</th>
					<th>##Posts##</th>
					<th>##Rank##</th>
					<th>##Image##</th>
				</thead>
				<tfoot>
					<tr><td colspan="4">{$pagination->getListFooter()}</td></tr>
				</tfoot>
				<tbody>
					{foreach from=$ranks key=num item=rank}
					<tr>
						<td>{$html->jhtml('grid.id', $num, $rank.id)}</td>
						<td><a href="{url task=configuration page=ranks action=edit id=$rank.id}">{$rank.min_posts}</a></td>
						<td><a href="{url task=configuration page=ranks action=edit id=$rank.id}">{$rank.rank}</a></td>
						<td>
							{if $rank.image}
								<a href="{$rank.image}" class="modal"><img alt="" height="15" src="{$rank.image}"/></a>
							{else}
								<i>##No image##</i>
							{/if}
						</td>
					</tr>
					{foreachelse}
					<tr><td colspan="3">##No ranks defined##</td></tr>
					{/foreach}
				</tbody>
			</table>
		</fieldset>
	</form>
</div>
