{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##Groups##')}

{$html->toolbar->deleteList()}
{$html->toolbar->editList()}
{$html->toolbar->addNewX('add')}

<form name="adminForm" method="POST">
	<input type="hidden" name="checked" value="0"/>
	<input type="hidden" name="agora_task" value="groups"/>
	<input type="hidden" name="task" value=""/>
	<input type="hidden" name="option" value="com_agora"/>
	<input type="hidden" name="boxchecked" value="0"/>

	<table class="adminlist">
		<thead>
			<th width="20">
				<input type="checkbox" name="toggle" value="" onclick="checkAll({$groups|@count});" />
			</th>
			<th width="20">##Id##</th>
			<th>##Name##</th>
		</thead>
		<tfoot>
			<tr><td colspan="3">{$pagination->getListFooter()}</td></tr>
		</tfoot>
		<tbody>
			{foreach from=$groups item=group key=num}
			<tr>
				<td>{$html->jhtml('grid.id', $num, $group.id)}</td>
				<td>{$group.id}</td>
				<td><a href="{url task=groups action=edit group_id=$group.id}">{$html->form->treename($group)}</a></td>
			</tr>
			{foreachelse}
			<tr><td colspan="5">##No groups defined##</td></tr>
			{/foreach}
		</tbody>
	</table>
</form>
