<?php
// no direct access
defined('_JEXEC') or die('Restricted access');
jimport('joomla.filesystem.folder');
jimport('joomla.filesystem.file');

class Status {
    var $STATUS_FAIL = 'Failed';
    var $STATUS_SUCCESS = 'Success';
    var $infomsg = array();
    var $errmsg = array();
    var $status;
}

$aod_database = JFactory::getDBO();
$aod_install_status = array();


require "install_plugins.php";

$plg_return = aod_plugin_install($this, "plg_content_agoradiscuss", "Content - Agora Olympus Discuss", "content", $aod_database);
$aod_install_status['plg_content_agoradiscuss'] = $plg_return;
if ($plg_return->status == $plg_return->STATUS_FAIL) {
    return false;
}

$plg_return = aod_plugin_install($this, "plg_button_aodbutton", "Editor Button - Agora Olympus Discuss", "editors-xtd", $aod_database);
$aod_install_status['plg_button_aodbutton'] = $plg_return;
if ($plg_return->status == $plg_return->STATUS_FAIL) {
    return false;
}




function com_install() {
    return com_agoraolympusdiscussbot_install();
}

function com_agoraolympusdiscussbot_install() {
    global $aod_install_status;
    $db = JFactory::getDBO();

    $status = new Status();
    $status->status = $status->STATUS_FAIL;
    $status->component = "com_agoraolympusdiscussbot";

    if (!com_agoraolympusdiscussbot($db, $status)){
        return false;
    }

    if (count($status->errmsg) == 0) {
        $status->status = $status->STATUS_SUCCESS;
    }

    $aod_install_status["com_agoraolympusdiscussbot"] = $status;
    return true;
}







function com_agoraolympusdiscussbot($db, &$status) {
    $create_table_sql =
        "CREATE TABLE IF NOT EXISTS `#__agora_discussbot` (
  `content_id` int(11) NOT NULL default '0',
  `topic_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`content_id`),
  KEY `content_id` (`content_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8";
    $db->setQuery($create_table_sql);
    if (!$db->query()) {
        $status->errormsg[] = $db->getErrorMsg();
        return false;
    }



    $create_table_sql =
        "CREATE TABLE IF NOT EXISTS `#__agora_discussbot_style` (
`id` INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`name` VARCHAR( 255 ) NOT NULL DEFAULT '',
`css` VARCHAR( 255 ) NOT NULL DEFAULT '',
`slimbox` VARCHAR( 255 ) NOT NULL DEFAULT '',
`java` VARCHAR( 255 ) NOT NULL DEFAULT '',
`code` TEXT NOT NULL DEFAULT '',
INDEX ( `id`, `name` )
) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci ";
    $db->setQuery($create_table_sql);
    if (!$db->query()) {
        $status->errormsg[] = $db->getErrorMsg();
        return false;
    }else{

        $sql = "SELECT * FROM `#__agora_discussbot_style` WHERE id=1";

        $db->setQuery($sql);

        $data = $db->loadResult();

        if (is_null($data)){

            $sql = "INSERT INTO `#__agora_discussbot_style` (
                    `id` ,
                    `name` ,
                    `css` ,
                    `slimbox`,
                    `java`,
                    `code`
                        )
                    VALUES (
                    '1', 'Agora Thone', 'Agora/agorathone.css','Agora/slimbox.css', '', ''
                    )";
            $db->setQuery($sql);
            $db->query();
            $sql = "INSERT INTO `#__agora_discussbot_style` (
                    `id` ,
                    `name` ,
                    `css` ,
                    `slimbox`,
                    `java`,
                    `code`
                        )
                    VALUES (
                    '2', 'Agora Transparent', 'Transparent/agorabani.css','Transparent/slimbox.css','',
                    '');";
            $db->setQuery($sql);
            if (!$db->query()) {
                $status->errormsg[] = $db->getErrorMsg();
                return false;
            }
        }else{
            $update_table_sql = 'DROP TABLE IF EXISTS `#__agora_discussbot_style`';
            $db->setQuery($update_table_sql);
            $db->query();
            $create_table_sql =
        "CREATE TABLE IF NOT EXISTS `#__agora_discussbot_style` (
`id` INT(10) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`name` VARCHAR( 255 ) NOT NULL DEFAULT '',
`css` VARCHAR( 255 ) NOT NULL DEFAULT '',
`slimbox` VARCHAR( 255 ) NOT NULL DEFAULT '',
`java` VARCHAR( 255 ) NOT NULL DEFAULT '',
`code` TEXT NOT NULL DEFAULT '',
INDEX ( `id`, `name` )
) ENGINE = MYISAM CHARACTER SET utf8 COLLATE utf8_general_ci ";
            $db->setQuery($create_table_sql);
            if (!$db->query()) {
                $status->errormsg[] = $db->getErrorMsg();
                return false;
            }else{
                $sql = "INSERT INTO `#__agora_discussbot_style` (
                    `id` ,
                    `name` ,
                    `css` ,
                    `slimbox`,
                    `java`,
                    `code`
                        )
                    VALUES (
                    '1', 'Agora Thone', 'Agora/agorathone.css','Agora/slimbox.css', '', ''
                    )";
                $db->setQuery($sql);
                $db->query();
                $sql = "INSERT INTO `#__agora_discussbot_style` (
                    `id` ,
                    `name` ,
                    `css` ,
                    `slimbox`,
                    `java`,
                    `code`
                        )
                    VALUES (
                    '2', 'Agora Transparent', 'Transparent/agorabani.css','Transparent/slimbox.css','',
                    '');";
                $db->setQuery($sql);
                if (!$db->query()) {
                    $status->errormsg[] = $db->getErrorMsg();
                    return false;
                }
            }
        }

    }

    return true;
}
?>
<h1>Agora Olympus Discuss Plugin Installation</h1>
<table class="adminlist">
    <thead>
        <tr>
            <th class="title"><?php echo JText::_('Sub Component'); ?></th>
            <th width="60%"><?php echo JText::_('Status'); ?></th>
        </tr>
    </thead>
    <tfoot>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
    </tfoot>
    <tbody>
        <?php
        $i=0;
        foreach ( $aod_install_status as $component => $status ) {?>
        <tr class="row<?php echo $i; ?>">
            <td class="key"><?php echo $component; ?></td>
            <td>
                <?php echo ($status->status == $status->STATUS_SUCCESS)? '<strong>'.JText::_('Installed').'</strong>' : '<em>'.JText::_('NOT Installed').'</em>'?>
                <?php if (count($status->errmsg) > 0 ) {
                    foreach ( $status->errmsg as $errmsg ) {
                        echo '<br/>Error: ' . $errmsg;
                    }
                } ?>
                <?php if (count($status->infomsg) > 0 ) {
                    foreach ( $status->infomsg as $infomsg ) {
                        echo '<br/>Info: ' . $infomsg;
                    }
                } ?>
            </td>
        </tr>
        <?php
        if ($i=0){ $i=1;} else {$i = 0;};
    }?>

    </tbody>
</table>
