<?php
/**
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 */
	defined ('IN_AGORA') or die;

	class SmiliesModel extends Model
	{
		function __construct()
		{
			parent::__construct("smilies");
		}

		function delete($id)
		{
			$this->db->setQuery('DELETE FROM ##__smilies WHERE Id = '.intval($id));
			if (!$this->db->query()) {
				print $this->db->getErrorMsg();
				die;
			}
		}

		function add($image, $text)
		{
			$this->db->bind('image',$image,'string');
			$this->db->bind('text',$text,'string');
			$this->db->setQuery('INSERT INTO ##__smilies (image, text) VALUES(:image,:text)');
			if (!$this->db->query()) {
				print $this->db->getErrorMsg();
				die;
			}
		}
	}
?>
