{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<tr class="ag_{$topic.status}">
	<td class="ag_leftend">
		<div class="{$topic.ref_name}">
		{if $topic.status}
		<div class="ag_{$topic.status}">&nbsp;</div>
		{elseif isset($topic.score)}{* Used in search *}
		<div class="ag_search_goto">&nbsp;</div>
		{/if}
		</div>
	</td>
	<td class="ag_spacer">
		{if $topic.icon_topic}
		<img src="{$root_url}img/icons/{$topic.icon_topic}.png" alt="" />
		{else}
		<img src="{$root_url}img/icons/info.png" alt="" />
		{/if}
	</td>
	<td class="ag_column">
		{if $topic.id}
		<div class="ag_forumName">
			<a href="{url task=topic id=$topic.id}">
				{$topic.subject|truncate:45:'...'}
			</a>
		</div>
		<div class="ag_forumDesc">
			<span class="ag_byuser"><strong>##AUTHOR##:</strong> {if $agora_config.o_fullnames_enabled}{$topic.u_fullname}{else}{$topic.poster}{/if}</span>
		</div>
		{/if}
		<div class="ag_forumDesc">
			{$topic.descrip_t}
			{if isset($topic.forum_name)}
				{if $topic.descrip_t <> ''}<br />{/if}
				<span class="ag_byuser"><strong>##Forum##:</strong> <a href="{url task=forum id=$topic.forum_id}" title="{$topic.forum_name}">{$topic.forum_name}</a></span>
			{/if}
		</div>
	</td>
	<td class="ag_topic">
		<p>
			{if isset($topic.rating) && !is_null($topic.rating)}
			<a href="{url task=rate action=view id=$topic.id}">
				<img src="{$star_path}{$topic.rating_star}.png" alt="{$topic.rating} Stars" title="{$topic.rating|string_format:"%.2f"} ##Stars##" />
			</a>
			{elseif isset($star_path)}
			<img src="{$star_path}{$topic.rating_star}.png" alt="{$topic.rating} Stars" title="{$topic.rating|string_format:"%.2f"} ##Stars##" />
			{/if}
		</p>
		<p class="ag_color"><strong>{$topic.num_replies}</strong> ##Replies##</p>
		<p><strong>{$topic.num_views}</strong> ##Views##</p>
	</td>
	<td class="ag_lastpost">
		<span class="ag_byuser">
			<span>
				{if $agora_user.reverse_posts}
				<a class="permatip" href="{url task=topic id=$topic.id}#p{$topic.last_post_id}">
				{else}
				<a class="permatip" href="{url task=topic id=$topic.id p=$topic.num_pages}#p{$topic.last_post_id}">
				{/if}
				<span>{$topic.postcontent|truncate:250:'...'}</span>
				{$topic.last_post|agora_date}
				</a>
			</span><br />
			<strong>##by##</strong> {if $agora_config.o_fullnames_enabled}{$topic.lu_fullname}{else}{$topic.last_poster}{/if}
		</span>
	</td>
	{* Used in search *}
	{if isset($topic.score)}
	<td class="ag_topic3">
		<span class="ag_post_score">{$topic.score|string_format:"%.2f"}</span>
	</td>
	{/if}
</tr>