<?php
/**
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 */
    defined ('IN_AGORA') or die;

	require_once ('view.php');

	class IndexView extends View
	{
		function display()
		{
			if (isset($_COOKIE['agora_forum_view'])) {
				$forum_view = intval($_COOKIE['agora_forum_view']);
			} else {
				$forum_view = 1;
			}
			
			if ($forum_view == 1) {
				parent::display('index_forums');
			} else {
				parent::display('index_topics');
			}
		}
	}
?>
