{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##Configuration## - ##Censoring##')}
{$html->toolbar->deleteList()}
{$html->toolbar->popupAdd(400,200)}

<div style="float:left; width: 10%;">
	{include file=configuration/links.tpl}
</div>
<div style="float:right; width: 90%;">
	<form name="adminForm" method="POST">
		<input type="hidden" name="checked" value="0"/>
		<input type="hidden" name="agora_task" value="configuration"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="page" value="censoring"/>
		<input type="hidden" name="option" value="com_agora"/>
		<input type="hidden" name="boxchecked" value="0"/>
		<fieldset>
			<legend>##Censoring##</legend>
		<table class="adminlist">
			<thead>
				<tr>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll({$censoring|@count});" />
					</th>
					<th width="20">##Id##</th>
					<th>##Mask##</th>
					<th>##Replacement##</th>
				</tr>
			</thead>
			<tfoot>
				<tr><td colspan="4">{$pagination->getListFooter()}</td></tr>
			</tfoot>
			<tbody>
				{foreach from=$censoring key=num item=censor}
				<tr>
					<td>{$html->jhtml('grid.id',$num,$censor.id)}</td>
					<td>{$censor.id}</td>
					<td>{$censor.search_for}</td>
					<td>{$censor.replace_with}</td>
				</tr>
				{/foreach}
			</tbody>
		</table>
		</fieldset>
	</form>
</div>