{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{if $style.id}
<div style="float:left; width: 10%;">
	{include file=configuration/links.tpl}
</div>

{$html->toolbar->title('Edit style')}
{$html->toolbar->save()}
{$html->toolbar->cancel()}

{/if}

<form name="adminForm" method="POST">
	{$html->form->param('option','com_agora')}
	{$html->form->param('task','configuration')}
	{$html->form->param('page','styles')}
	{$html->form->param('action','save')}
	
	{if $style.id}
		{$html->form->param('agora_task','configuration')}
	{else}
		{$html->form->param('type','clean')}
	{/if}

	{$html->form->param('id',$style.id)}
	<div class="width-100">
		<fieldset>
			<legend>##Style parameters##</legend>
			<table  class="adminlist" cellpadding="0" cellspacing="0" class="aligntop">
				<tr>
					<th class="editlinktip hasTip" title="##Styles##::##Posts style id name into common.css##">##Reference Name##</th>
					<td>
						<input type="text" name="form[ref_name]" size="25" value="{$style.ref_name}"/>
					</td>
				</tr>

				<tr>
					<th class="editlinktip hasTip" title="##Styles##::##Styles properties list##">##Styles properties##</th>
					<td>
						<textarea name="form[params]" rows="10" cols="30"/>{$style.params}</textarea>
					</td>
				</tr>


		{if !$style.id}
				<tr>
					<td colspan="2" align="center">
						<input type="submit" value="##Submit##"/>
						<input type="button" value="##Cancel##" onclick="window.parent.document.getElementById('sbox-window').close();"/>
					</td>
				</tr>
		{/if}
			</table>
		</fieldset>
	</div>
</form>
