{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}	

{$html->toolbar->title('##Configuration## - ##Styles##')}
{$html->toolbar->deleteList()}
{$html->toolbar->editList()}
{$html->toolbar->popupAdd()}

<div style="float:left; width: 10%;">
	{include file=configuration/links.tpl}
</div>

<div style="float:right; width: 90%;">
	<form name="adminForm" method="POST">
		<input type="hidden" name="checked" value="0"/>
		<input type="hidden" name="agora_task" value="configuration"/>
		<input type="hidden" name="task" value=""/>
		<input type="hidden" name="page" value="styles"/>
		<input type="hidden" name="option" value="com_agora"/>
		<input type="hidden" name="boxchecked" value="0"/>
		<fieldset>
			<legend>##CURRENT STYLES##</legend>
			<table class="adminlist">
				<thead>
					<th width="20">
						<input type="checkbox" name="toggle" value="" onclick="checkAll({$ranks|@count});" />
					</th>
					<th>##Style Reference Name##</th>
					<th>##Parameters##</th>
				</thead>
				<tfoot>
					<tr><td colspan="3">{$pagination->getListFooter()}</td></tr>
				</tfoot>
				<tbody>
					{foreach from=$styles key=num item=style}
					<tr>
						<td>{$html->jhtml('grid.id', $num, $style.id)}</td>
						<td><a href="{url task=configuration page=styles action=edit id=$style.id}">{$style.ref_name}</a></td>
						<td><a href="{url task=configuration page=styles action=edit id=$style.id}">{$style.params}</a></td>
					</tr>
					{foreachelse}
					<tr><td colspan="3">##No icon styles defined##</td></tr>
					{/foreach}
				</tbody>
			</table>
		</fieldset>
	</form>
</div>
