<?php
defined ( '_JEXEC' ) or die ( 'Direct Access to this location is not allowed.' );
jimport ( 'joomla.enviroment.request' );
jimport ( 'joomla.utilities.string' );
class HelperFunctions
{
	var $enabled_echo;
	static function & getInstance()
	{
		static $inst;
		if (!isset($inst)) {
			$inst = new HelperFunctions();
		}
		return $inst;
	}

	function __construct()
	{
	      $this->enabled_echo = 0;
	}
	function RedirectURL($url){

		$app =& JFactory::getApplication();

		$app->redirect($url);

	}
	function getInIntro(&$obj, &$inintro) {
		if ($inintro == '1') {
			return true;
		} else {

			if (JString::strlen ( strip_tags ( $obj->fulltext ) ) != '0') {
				if ((JRequest::getVar ( 'view' )) == 'article') {
					return true;
				} else {
					return false;
				}
			} else {
				return true;
			}
		}
	}
	function getView(){
		$view_bmsm = JRequest::getVar ( 'view' );
		switch ($view_bmsm) {
			case 'article' :
				return 'a';
				break;
			case 'frontpage' :
				return 'f';
				break;
			case 'section' :
				return 's';
				break;
			case 'category' :
				return 'c';
				break;
		}
	}
	function getInFrontPageSectionCategoryArticle(&$fron_page, &$sec, &$cat) {
		//echo 'Forntpage='.$fron_page;
		$view_bmsm = JRequest::getVar ( 'view' );
		switch ($view_bmsm) {
			case 'article' :
				return true;
				break;
			case 'frontpage' :
				if ($fron_page == '1') {
					return true;
				} else {
					return false;
				}
				break;
			case 'section' :
				if ($sec == '1') {
					return true;
				} else {
					return false;
				}
				break;
			case 'category' :
				if ($cat == '1') {
					return true;
				} else {
					return false;
				}
				break;
		}
	}
	function getInSectionCategoryArticle(&$varArticle, &$excludeSectionID, &$excludeCategoryID, &$excludeID) {

		$value_sec = 0;
		$value_cat = 0;
		$value_art = 0;
		if ($excludeSectionID != '') {

			// Check accepted section
			$aAcceptedSectionsArray = array ();
			$aAcceptedSectionsArray = explode ( ',', $excludeSectionID );
			if (in_array ( $varArticle->sectionid, $aAcceptedSectionsArray ) != true) {
				$value_sec = '1';
			}
			unset ( $aAcceptedSectionsArray );
		}

		// Check accepted category
		if ($excludeCategoryID != '') {
			$aAcceptedCategoryArray = array ();
			$aAcceptedCategoryArray = explode ( ',', $excludeCategoryID );
			if (in_array ( $varArticle->catid, $aAcceptedCategoryArray ) != true) {
				$value_cat = '1';
			}
			unset ( $aAcceptedCategoryArray );
		}

		// Check ignored articles
		if ($excludeID != '') {
			$aIgnoredArticleArray = array ();
			$aIgnoredArticleArray = explode ( ',', $excludeID );
			if (in_array ( $varArticle->id, $aIgnoredArticleArray )) {
				$value_art = '1';
			}
			unset ( $aIgnoredArticleArray );
		}
		if (($value_sec == 1) || ($value_cat == 1) || ($value_art == 1)) {
			return false;
		} else {
			return true;
		}

	}

	function getInSectionCategoryArticleArray(&$varArticle, &$excludeSectionID, &$excludeCategoryID, &$excludeID) {

		$value_sec = 0;
		$value_cat = 0;
		$value_art = 0;

		// Check accepted section
		if (!is_null($excludeSectionID)){
			if (in_array ( $varArticle->sectionid, $excludeSectionID ) != true) {
				$value_sec = '1';
			}
		}

		// Check accepted category
		if (!is_null($excludeCategoryID)){
			if (in_array ( $varArticle->catid, $excludeCategoryID ) != true) {
				$value_cat = '1';
			}
		}
		// Check ignored articles
		if (!is_null($excludeID)){
			if (in_array ( $varArticle->id, $excludeID )) {
				$value_art = '1';
			}
		}

		if (($value_sec == 1) || ($value_cat == 1) || ($value_art == 1)) {
			return false;
		} else {
			return true;
		}

	}

	function getUrl(&$obj, &$encode = 'False') {
		$url = 'Error, No URL';
		if (! is_null ( $obj )) {
			require_once (JPATH_SITE . DS . 'components' . DS . 'com_content' . DS . 'helpers' . DS . 'route.php');
			$url = JRoute::_ ( ContentHelperRoute::getArticleRoute ( $obj->slug, $obj->catslug, $obj->sectionid ) );
			$uri = & JURI::getInstance ();
			$base = $uri->toString ( array ('scheme', 'host', 'port' ) );
			$url = $base . $url;
			$url = JRoute::_ ( $url, true, 0 );
			if ($encode == 'True') {
				return urlencode ( $url );
			} else {
				return $url;
			}
		}
		return $url;
	}

	function getHtmlSpecialChar(&$document)
    	{
        	return htmlspecialchars($document, ENT_QUOTES, 'UTF-8');
    	}
	function getJustText(&$document)
    	{
		//$post->message = stripslashes(smile::smileReplace($post->message, 0, fbdbGetConfigValue('disemoticons')));
		//$post->message = preg_replace('/\n/', "<br />\n", $post->message);
        	$text = strip_tags($document);
        	return $text;
    	}
	function getSiteURL() {
		global $mainframe;
		return ($mainframe->isAdmin () ? $mainframe->getSiteURL () : JURI::base ());
	}

	function getIP() {

		if (isset ( $_SERVER ['REMOTE_ADDR'] ))
			return $_SERVER ['REMOTE_ADDR'];
		else
			return '0.0.0.0';
	}
	function setEnableError($yesno){
	  $this->enabled_echo = $yesno;
	}
	function getError($var){
	    if ($this->enabled_echo==1){
	      echo $var;
	    }
	}
	function getArrayValues($arr) {
		$fr = "<font color=red size=1>";
    		$fg = "<font color=green size=1>";
		$fb = "<font color=blue size=1>";
		$fk = "<font color=black size=1>";
		$fe = "</font>";
		$l = "$fg [ $fe";
		$r = "$fg ] $fe";
		$a = "$fk => $fe";
		$out = "";
		    foreach($arr as $k=>$v){
			        $out[] = $l.$fb.$k.$fe.$r.$a.$fr.$v.$fe;
		    }
	    if(is_array($out)) {
        	return implode("<br />", $out);
	    } else {
        	return false;
	    }
	}

}
?>
