<?php


defined( '_JEXEC' ) or die( 'Restricted access' );

$mainframe->registerEvent( 'onAutoArticle', 'autoArticleMakes' );
$mainframe->registerEvent( 'onExportAllForumsArticles', 'exportAllForumsArticles' );

function exportAllForumsArticles ()
{
	$plugin       =& JPluginHelper::getPlugin('agora', 'agoraautoarticle');
	$pluginParams = new JParameter( $plugin->params );
    
    $forum_ids = $pluginParams->get( 'forum_ids', '' );
    $cat_ids = $pluginParams->get( 'cat_ids', '' );
    $bottom_quote = $pluginParams->get( 'default_bottom', '' );
    $def_catid = $pluginParams->get( 'def_cat_id', '' );
    
    if (!$pluginParams->get( 'plg_mode', '' ))
    return;
    if (!$pluginParams->get( 'export_checking', '' ))
    return;

    $forum_ids = explode(",", $forum_ids);
    $cat_ids = explode(",", $cat_ids);
    
    if ($forum_ids)
    {
        exportAllTopicsToContent($forum_ids,$cat_ids,$bottom_quote);    
    }
    if ($def_catid)
    {
        $where='';
        if (count($forum_ids))
        foreach ($forum_ids as $id)
        {
            if (!$where) $where=" WHERE id<>$id ";
            else $where.=" AND id<>$id ";
        }
        $db =& JFactory::getDBO();
        $db->setQuery("SELECT id FROM #__agora_forums ".$where );
        $def_forum_ids = $db->loadResultArray();
        $def_cat_ids=array();
        if (count($def_forum_ids)) 
        {
            foreach ($def_forum_ids as $def_forum_id) $def_cat_ids[] = $def_catid;
            exportAllTopicsToContent($def_forum_ids,$def_cat_ids,$bottom_quote);
        }
    }
}

function exportAllTopicsToContent($forum_ids,$cat_ids,$bottom_quote)
{
    $forum_model = & Model::getInstance('ForumModel');
    $topics = $forum_model->loadTopics($forum_ids[0], 1, 1);
    if ($topics[0]['id'])
    {
            $alias='topic'.$topics[0]['id'];
            $db =& JFactory::getDBO();
            $db->setQuery('SELECT id FROM #__content WHERE catid = '.intval($cat_ids[0]).' AND `alias` ='.$db->Quote($alias) );
            $content_id = $db->loadResult();
            if (!$content_id)
            for ($i=0;$i<count($forum_ids);$i++)
            {
                if ( (int) $forum_ids[$i] && (int) $cat_ids[$i] )
                {
                    $forum_model = & Model::getInstance('ForumModel');
                    $topic_model = & Model::getInstance('TopicModel');
                    $topics = $forum_model->loadTopics($forum_ids[$i]);
                    foreach ($topics as $topic)
                    {
                        $posts = $topic_model->loadPosts($topic["id"], 1, 1, 0, 1);
                        importArticle($cat_ids[$i], $forum_ids[$i], $topic["id"], $topic["subject"], $topic["descrip_t"], $posts[0]["message"], $topic["poster"], $bottom_quote);
                    }
                    
                }
            }
            
            $db->setQuery('SELECT params FROM #__plugins WHERE element = \'agoraautoarticle\'' );
            $param = $db->loadResult();
            $param = str_replace('export_checking=1','export_checking=0',$param);
            
            $query = "UPDATE #__plugins"
			. ' SET params = '. $db->Quote($param)
			. ' WHERE element = \'agoraautoarticle\'';
			$db->setQuery( $query );
            $db->query();
    }
    
}
 
function importArticle($cat_id, $forum_id, $topic_id, $subject, $desc, $message, $user_name, $bottom_quote)
{
    //echo $cat_id."---".$user_name;
    
	$message = nl2br($message);
	if ($bottom_quote) {
		$url = JRoute::_('index.php?option=com_agora&task=topic&id=' . (int)$topic_id);
		$message .= nl2br("\n\n" . $bottom_quote . "\n\n") . '<a href="' . $url . '">' . $subject . '</a>';
	}
	
	jimport('joomla.filesystem.path');
	$parserfile = JPath::find(JPATH_BASE  . DS . 'components' . DS . 'com_agora' . DS . 'helpers' . DS, 'parser.php');
	if ($parserfile) {
		require_once($parserfile);
		$parser = new AParserHelper();
		$message = $parser->bbcode($message, true);
	} 
    //echo $message;exit;
    
    $db =& JFactory::getDBO();
    $db->setQuery('SELECT section FROM #__categories WHERE id = '.intval($cat_id));
    $section_id = $db->loadResult();
    $db->setQuery('SELECT id FROM #__users WHERE username = '.$db->Quote($user_name));
    $user_id = $db->loadResult();
    
	$date =& JFactory::getDate();
	$time = $date->toMysql();
	$alias='topic'.$topic_id;
    
		        $query = "INSERT INTO #__content (title,`alias`,introtext,`fulltext`,state,sectionid,mask,catid,created,created_by,modified,modified_by)" .
				' VALUES ( '. $db->Quote($subject) .','. $db->Quote($alias) .', '. $db->Quote($desc) .', '. $db->Quote($message) .'
						 , '. $db->Quote('1') .', '. $db->Quote($section_id) .', '. $db->Quote('0') .', '. $db->Quote($cat_id) .'
						 , '. $db->Quote($time) .', '. $db->Quote($user_id) .', '. $db->Quote($time) .', '. $db->Quote($user_id) .'
						  )';
		        
				$db->setQuery($query);
				$db->query();
    
}

function autoArticleMakes($forum_id, $topic_id, $subject, $desc, $message, $user_name) 
{
	$plugin       =& JPluginHelper::getPlugin('agora', 'agoraautoarticle');
	$pluginParams = new JParameter( $plugin->params );
    
    $forum_ids = $pluginParams->get( 'forum_ids', '' );
    $cat_ids = $pluginParams->get( 'cat_ids', '' );
    $bottom_quote = $pluginParams->get( 'default_bottom', '' );
    $def_catid = $pluginParams->get( 'def_cat_id', '' );
    
    $forum_ids = explode(",", $forum_ids);
    $cat_ids = explode(",", $cat_ids);
    $imported=false;
    
    if ($forum_ids)
    for ($i=0;$i<count($forum_ids);$i++)
    {
        if ($forum_id == $forum_ids[$i] && (int) $cat_ids[$i])
        {
            importArticle($cat_ids[$i], $forum_id, $topic_id, $subject, $desc, $message, $user_name, $bottom_quote);
            $imported=true;
            break;
        }
    }
    
    if ($imported)
    return;
    
    if ($def_catid)
    {
        importArticle($def_catid, $forum_id, $topic_id, $subject, $desc, $message, $user_name, $bottom_quote);
    }
    
}

    

?>