<?php
/**
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 */
defined ('IN_AGORA') or die;

ainclude("view|markerview");

class TaskController extends AgoraController
{

	function __construct()
	{
		$this->view = new MarkerView();
	}

	function _execute()
	{
		$user_model = & Model::getInstance('UserModel');
		$users = $user_model->loadAll();

		$config_model = & Model::getInstance('ConfigModel');
		$config = $config_model->load();

		foreach ($users as & $user) {
			//Agora::prepareUser($user,$config['o_ranks']);
			$this->user = $this->helper('user')->prepareUserAvatar($this->user);
			$this->user = $this->helper('user')->prepareUserTitle($this->user);
			
			$user['avatar_field'] = '';
		}

		$this->view->_users = & $users;
		$this->view->display();
	}
}

?>
