{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
{style href="style/`$agora_config.o_default_style`/common.css"}
{style href="style/`$agora_config.o_default_style`/index.css"}
{style href="style/`$agora_config.o_default_style`/js_css/fxslide.css"}
{style href="style/`$agora_config.o_default_style`/js_css/jpane.css"}
{style href="style/`$agora_config.o_default_style`/js_css/dropdown.css"}
{style href="style/`$agora_config.o_default_style`/js_css/button.css"}
{style href="style/`$agora_config.o_default_style`/js_css/slimbox.css"}
{style href="style/tooltip.css"}
{script src="js/dropdown_index.js"}
{script src="js/dropdown.js"}
{script src="js/slimbox.js"}
<div id="ag_agorawrap" >
	<a name="top" id="top"></a>
	<div id="ag_agora{$action}" class="ag_agora">
		<!--Begin Header Section-->
		<!--Begin Board Title-->
		<div class="ag_adsense">
			{loadModule name=agora_1}
			<div class="ag_clearer"></div>
		</div>

		{if $agora_config.o_main_menu eq 1}
		<div id="ag_headerbar_menu">
			<div id="ag_main_menu">
				<ul id="ag_menu" >
					<li class="ag_node">
						<a href="{url}" title="##INDEX##">##INDEX##</a>
					</li>
					{if !isset($some_tabs_off)}
					<li class="ag_node">
						{if isset($current_category)}
						<a href="{url id=$current_category_id}" title="##JUMP_TO##: {$current_category}">{$current_category|truncate:20}</a>
						{else}
						{if $forum_view}
						<a href="{url action=setview view=topic}">##Topic View##</a>
						{else}
						<a href="{url action=setview view=forum}">##Forum View##</a>
						{/if}
						{/if}
					</li>
					{/if}
					<li class="ag_node">
						<a href="javascript:void(0);" title="##Users##">##Users##</a>
						<ul>
							{if !$agora_user.is_guest || $agora_config.o_guest_userlist}
							<li class="ag_li">
								<a href="{url task=userlist}" class="icon_user_list" title="##User list##">##User list##</a>
							</li>
							{/if}
							{if $agora_config.o_usermap eq '1'}
							<li class="ag_li">
								<a href="{url task=misc page=gmap}" class="icon_user_map" title="##User Map##">##User Map##</a>
							</li>
							{/if}
							{if !$agora_user.is_guest}
							<li class="ag_li">
								<a href="{url task=profile}" class="icon_1" title="##My Profile##">##My Profile##</a>
							</li>
							{/if}
						</ul>
					</li>
					{if $agora_config.o_pms_enabled eq 1}
					{if !$agora_user.is_guest}
					<li class="ag_node">
						{if $pm_count}
						<a href="{url task=pms}" title="##You have## {$pm_count} ##New messages##">##Messages##<sup class="ag_new_message">{$pm_count}</sup></a>
						{else}
						<a href="javascript:void(0);" title="##No messages##">##Messages##</a>
						{/if}
						<ul>
							<li class="ag_li">
								<a href="{url task=pms action=compose}" class="pms_icon_1" title="##New massage##">##New massage##</a>
							</li>
							<li class="ag_li">
								<a href="{url task=pms box=0}" class="pms_icon_2" title="##Inbox##">##Inbox##</a>
							</li>
							<li class="ag_li">
								<a href="{url task=pms box=1}" class="pms_icon_3" title="##Sent##">##Sent##</a>
							</li>
						</ul>
					</li>
					{/if}
					{/if}
					{if $agora_config.o_rules}
					<li class="ag_node">
						<a href="{url task=misc page=rules}" title="##Rules##">##Rules##</a>
					</li>
					{/if}
					<li class="ag_node">
						<a href="javascript:void(0);" title="##Search##">##Search##</a>
						<ul>
							{if !$agora_user.is_guest}
							<li class="ag_li">
								<a href="{url task=search action=show_latest}">##Show latest posts##</a> </li>
							<li class="ag_li">
								<a href="{url task=search action=show_unanswered}" title="##Show Unanswered Posts##">##Show Unanswered Posts##</a>
							</li>
							<li class="ag_li">
								<a href="{url task=search action=show_unreaded}" title="##Show Unreaded Posts##">##Show Unreaded Posts##</a>
							</li>
							{/if}
							<li class="ag_li">
								<a href="{url task=search}" class="ag_search_icon_2" title="##Advanced Search##">##Advanced Search##</a>
							</li>
						</ul>
					</li>
				</ul>
				<div class="ag_clearer"></div>
			</div>
		</div>
		{/if}
		<!--Begin Header Module Position-->

		<div class="ag_clearer"></div>
		<!--End Header Module Position-->
		<!--End Header Section-->
		<!--End Announcements-->
		{if $agora_config.o_announcement}
		<div class="ag_forum_separator"></div>
		<div class="ag_outerwrap">
			<div id="ag_announcement">
				{$agora_config.o_announcement_message}
				<div class="ag_adsense2">
					{loadModule name=agora_2}
				</div>
			</div>
		</div>
		<div class="ag_forum_separator"></div>
		{/if}
		<!--End Announcements-->
		<div class="ag_adsense">
			{loadModule name=agora_3}
		</div>
		<div class="ag_clearer"></div>