{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<h2>##BBCode##</h2>
<div class="ag_box">
	<div class="ag_inbox">
		<p><a name="bbcode"></a>##BBCode info 1##</p><br />
		<p>##BBCode info 2##</p>
	</div>
</div>
<h2>##Text style##</h2>
<div class="ag_box">
	<p>##Text style info##</p><br />
	<div style="padding-left: 4px">
		[b]##Bold text##[/b] ##produces## <b>##Bold text##</b><br />
		[u]##Underlined text##[/u] ##produces## <span class="bbu">##Underlined text##</span><br />
		[i]##Italic text##[/i] ##produces## <i>##Italic text##</i><br />
		[color=#FF0000]##Red text##[/color] ##produces## <span style="color: #ff0000">##Red text##</span><br />
		[color=blue]##Blue text##[/color] ##produces## <span style="color: blue">##Blue text##</span>
	</div>
</div>
<h2>##Links and images##</h2>
<div class="ag_box">
	<p>##Links info##</p><br />
	<div style="padding-left: 4px">
		[url={url}/]{$agora_config.o_board_title}[/url] ##produces## <a href="{url}">{$agora_config.o_board_title|escape}</a><br />
		[url]{url}[/url] ##produces## <a href="{url}">{url}</a><br />
		[email]myname@mydomain.com[/email] ##produces## <a href="mailto:myname@mydomain.com">myname@mydomain.com</a><br />
		[email=myname@mydomain.com]##My e-mail address##[/email] ##produces## <a href="mailto:myname@mydomain.com">##My e-mail address##</a><br /><br />
	</div>
	<p><a name="img"></a>##Images info##</p>
	<div>[img]http://www.agorabb.org/img/small_logo.png[/img] ##produces## <img src="http://www.agorabb.org/img/small_logo.png" alt="http://www.agorabb.org/img/small_logo.png" /></div>
</div>
<h2>##Quotes##</h2>
<div class="ag_box">
	<div style="padding-left: 4px">
		##Quotes info##<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;[quote=James]##Quote text##[/quote]<br /><br />
		##produces quote box##<br /><br />
		<div class="postmsg">
			<blockquote><div class="incqbox"><h4>James ##wrote##:</h4><p>##Quote text##</p></div></blockquote>
		</div>
		<br />
		##Quotes info 2##<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;[quote]##Quote text##[/quote]<br /><br />
		##produces quote box##<br /><br />
		<div class="postmsg">
			<blockquote><div class="incqbox"><p>##Quote text##</p></div></blockquote>
		</div>
	</div>
</div>
<h2>##Code##</h2>
<div class="ag_box">
	<div style="padding-left: 4px">
		##Code info##<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;[code]##Code text##[/code]<br /><br />
		##produces code box##<br /><br />
		<div class="postmsg">
			<div class="codebox"><div class="incqbox"><h4>##Code##:</h4><div class="scrollbox" style="height: 4.5em"><pre>##Code text##</pre></div></div></div>
		</div>
	</div>
</div>
<h2>##Spoiler##</h2>
<div class="ag_box">
	<div style="padding-left: 4px">
		##Spoiler info##<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;[spoiler]##Spoiler text##[/spoiler]<br /><br />
		##produces spoiler box##<br /><br />
		<div class="postmsg">
			<blockquote><h4>##Spoiler##:</h4><p><font style="color:black;background-color:black">##Spoiler text##</font></p></blockquote>
		</div>
	</div>
</div>
<h2>##Nested tags##</h2>
<div class="ag_box">
	<div style="padding-left: 4px">
		##Nested tags info##<br /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;[b][u]##Bold, underlined text##[/u][/b] ##produces## <span class="bbu"><b>##Bold, underlined text##</b></span><br /><br />
	</div>
</div>
<h2>##Smilies##</h2>
<div class="ag_box">
	<div style="padding-left: 4px">
		<a name="smilies"></a>##Smilies info##<br /><br />
		<br />
	</div>
</div>
