{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
{script src='js/hide.js'}
{cycle values='roweven,rowodd' assign=vtbg}
{script_def}
{once}
{literal}
<!--
function agora_createAuthorSlider(post_id) {
	var status = {
		'false': 'open',
		'true': 'close'
	};
	var mySlide = new Fx.Slide('pp_'+post_id).hide();
	$('toggle'+post_id).addEvent('click', function(e) {
		e = new Event(e);
		$('pp_'+post_id).setStyle("display","block");
		mySlide.toggle();
		e.stop();
	});
}
agora_posts = new Array();
window.addEvent('domready',function(e) {
	for (i=0; i < agora_posts.length; i++) {
		agora_createAuthorSlider(agora_posts[i]);
	}
});
//-->
{/literal}
{/once}
{/script_def}
<div id="p{$post.id}" class="ag_blockpost{$vtbg}{if $post_num eq 1} firstpost{/if}">
	<!-- post content -->
	<div>
		<div id="postrow_area_{$post.id}" class="ag_postrow {if $agora_config.o_userdata eq 0}ag_left_column{elseif $agora_config.o_userdata eq 1}ag_right_column{/if}">
			<div class="ag_postrow_container">

				<div class="ag_postrow_wrap">
					<div class="ag_postrow_col1">
						<!-- post text -->
						<div id="ag_postarea_{$post.id}" class="ag_postarea">
							<div id="fulltext{$post.id}">
								<h3 class="ag_posttitle">{if $post_num gt 1}Re: {/if}{$topic.subject}</h3>
								<div class="ag_postmsg">
									{$post.message}
									{if $post.edited}
									<div class="ag_postedited">
										<strong>##Edited by##:</strong> {if $agora_config.o_fullnames_enabled}{$post.user.edited_by_name}{else}{$post.edited_by}{/if}<br/>{$post.edited|agora_date}
									</div>
									{/if}
								</div>
							</div>
						</div>
						<!-- /post text -->
					</div>
				</div>

				<div class="ag_postrow_col2">
					<!-- user info  -->
					<div id="ag_avatararea_{$post.id}" class="ag_avatararea userimg">
						<dl>
							<dt class="ag_username">
								{if $post.user.username}{$post.user.username}{/if}
							</dt>

							<dd class="ag_postavatar">
								<a href="{url task=profile user_id=$post.poster_id}">
									<img src="{$post.user.avatar}" alt="useravatar" title="{if $post.user.username}{$post.user.username}{/if}" />
								</a>
							</dd>

							<dd class="ag_userinfo">
								<a id="toggle{$post.id}" href="javascript:void(0);" title="##User Info##"><img src="{$root_url}img/icons/down.png" alt="##User Info##" /></a>

								<div id="pp_{$post.id}" style="display: none; ">
									<div id="vertical_slide_{$post.id}" style="padding: 10px 0; text-align: center; ">
										{if $agora_config.o_show_user_info eq '1'}
										{if empty($post.user.gender)}
										{elseif $post.user.gender eq 1}
										<img src="{$root_url}img/icons/male.png" alt="##Gender male##" title="##Gender male##" />
										{else}
										<img src="{root_url}img/icons/female.png" alt="##Gender female##" title="##Gender female##" />
										{/if}&nbsp;
										{if !empty($post.user.birthday) && $post.user.birthday != 0 && $post.user.birthday != 'Never' }
											<img src="{root_url}img/icons/b-day.png" alt="##Birthday##" title="##Birthday##: {if !empty($post.user.birthday)}{$post.user.birthday}{else}##Unknown##{/if}" />&nbsp;
										{/if}
										{if !empty($post.user.url)}
											<a href="{$post.user.url}" target="_blank"><img src="{root_url}img/icons/www.png" alt="##Website##" title="##Website##" /></a>&nbsp;
										{/if}
										{if $agora_config.o_pms_enabled && !$post.user.is_guest && !$agora_user.is_guest}
										<a href="{url task=pms page=compose send_to=$post.user.id}"><img src="{$root_url}img/icons/pm.png" alt="##PM##" title="##PM##" /></a>
										{/if}&nbsp;
										{* <a href="mailto:{$post.user.email}"><img src="{$root_url}img/icons/email.png" alt="##E-mail##" title="##E-mail##" /></a> *}
										{/if}
									</div>
								</div>
							</dd>

						</dl>
					</div>
					<!-- /user info  -->
				</div>
			</div>
		</div>

		<!-- post edit  -->
		{if $access.post_reply or $access.post_report or $access.post_delete or $access.post_edit}
		<div id="ag_post_tools_{$post.id}" class="ag_post_tools">
			<div class="ag_post_buttons">
				{if $agora_config.o_quickpost}
				{if $access.post_reply and not $topic.closed}
				<span class="ag_bttn ag_bttn_r">
					<a onmouseover="copyQ('{$post.user.username}');" href="javascript:pasteQ();">
						##Quote selected text##
					</a>
				</span>
				{/if}
				{if $access.post_reply and not $topic.closed}
				<span class="ag_bttn ag_bttn_r">
					<a onclick="javascript:pasteN('{$post.user.username}'); return false;" href="javascript:void(0)">
						##Paste Username##
					</a>
				</span>
				{/if}
				{/if}

				{if $access.post_report}
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post action=report id=$post.id}">
						##Report##
					</a>
				</span>
				{/if}

				{if $access.post_reply and not $topic.closed}
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=reply id=$topic.id}">
						##Post reply##
					</a>
				</span>
				{/if}

				{if $access.post_reply and not $topic.closed}
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=reply action=quote id=$post.id}">
						##Quote##
					</a>
				</span>
				{/if}

				{if $access.edit_posts and $post_num !== 1 and $agora_user.id == $post.poster_id }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=edit id=$post.id}">##Edit##</a>
				</span>
				{elseif $access.edit_posts and $post_num !== 1 and ($agora_user.is_superadmin == 1 or $access.can_moderate) }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=edit id=$post.id}">##Edit##</a>
				</span>
				{elseif $access.edit_topic and $post_num == 1 and $agora_user.id == $post.poster_id }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=edit_topic id=$topic.id post_id=$post.id}">##Edit##</a>
				</span>
				{elseif $access.edit_topic and $post_num == 1 and ($agora_user.is_superadmin == 1 or $access.can_moderate) }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=edit_topic id=$topic.id post_id=$post.id}">##Edit##</a>
				</span>
				{/if}

				{if $access.delete_posts and $post_num !== 1 and $agora_user.id == $post.poster_id }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=delete id=$post.id}">##Delete##</a>
				</span>
				{elseif $access.delete_posts and $post_num !== 1 and ($agora_user.is_superadmin == 1 or $access.can_moderate) }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=delete id=$post.id}">##Delete##</a>
				</span>
				{elseif $access.delete_topics and $post_num == 1 and $agora_user.id == $post.poster_id }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=delete_topic id=$topic.id}">##Delete##</a>
				</span>
				{elseif $access.delete_topics and $post_num == 1 and ($agora_user.is_superadmin == 1 or $access.can_moderate) }
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=post page=delete_topic id=$topic.id}">##Delete##</a>
				</span>
				{/if}

				{if $access.close_topic and $post_num !== 1}
				<span class="ag_bttn ag_bttn_r">
					<a href="{url task=topic action=split topic_id=$topic.id post_id=$post.id format=raw}" rel="{ldelim}size: {ldelim}x: 400, y: 300{rdelim}{rdelim}" class="modal">##Split##</a>
				</span>
				{/if}
			</div>
		</div>
		{else}
		<div id="ag_post_tools_{$post.id}" class="ag_post_tools">
			<strong>##Administrator has disabled public posting##</strong>
		</div>
		{/if}
		<!-- /post edit  -->
	</div>
	<!-- /post content -->
</div>
<div class="ag_post_separator"></div>