{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
{script src='js/hide.js'}
{cycle values='roweven,rowodd' assign=vtbg}
{script_def}
{once}
  {literal}
	function agora_createAuthorSlider(post_id) {
	  var status = {
		'false': 'open',
		'true': 'close'
		};
	  var mySlide = new Fx.Slide('pp_'+post_id).hide();
		$('toggle'+post_id).addEvent('click', function(e) {
		  e = new Event(e);
		  $('pp_'+post_id).setStyle("display","block");
		  mySlide.toggle();
		  e.stop();
		});
	  }
	  agora_posts = new Array();
      window.addEvent('domready',function(e) {
		for (i=0; i < agora_posts.length; i++) {
		agora_createAuthorSlider(agora_posts[i]);
	  }
	});
  {/literal}
{/once}
{/script_def}
<div id="p{$post.id}" class="ag_blockpost{$vtbg}{if $post_num eq 1} firstpost{/if}">
	<!-- post header -->
	<div class="ag_rightend">
		<div class="ag_headerbar">
			<span class="ag_middle">
				<span class="ag_postdate">
					{$post.posted|agora_date}
				</span>
			</span>
		</div>
	</div>
	<!-- /post header -->
	<!-- post content -->
	<div>
		<div id="postrow_area_{$post.id}" class="ag_postrow {if $agora_config.o_userdata eq 0}ag_left_column{elseif $agora_config.o_userdata eq 1}ag_right_column{/if}">
			<div class="ag_postrow_container">

				<div class="ag_postrow_wrap">
					<div class="ag_postrow_col1">
						<!-- post text -->
						<div id="ag_postarea_{$post.id}" class="ag_postarea">
							<div id="fulltext{$post.id}">
								<h3 class="ag_posttitle">{if $post_num gt 1}Re: {/if}{$topic.subject}</h3>
								<div class="ag_postmsg">
									{$post.message}
									{if $post.edited}
									<div class="ag_postedited">
										<strong>##Edited by##:</strong> {$post.edited_by}<br/>{$post.edited|agora_date}
									</div>
									{/if}

									<div id="ag_signature_{$post.id}" class="ag_signature">
										{if $post.user.signature != ''}
										<div class="ag_postsignature">
											{$post.user.signature}
										</div>
										{/if}
									</div>
								</div>
							</div>
						</div>
						<!-- /post text -->
					</div>
				</div>

				<div class="ag_postrow_col2">
					<!-- user info  -->
					<div id="ag_avatararea_{$post.id}" class="ag_avatararea userimg">
						<dl>
							<dt class="ag_username">
								{if $post.poster}{if $agora_config.o_fullnames_enabled}{$post.user.name}{else}{$post.poster}{/if}{/if}
							</dt>

							<dd class="ag_postavatar">
								<a href="{url task=profile user_id=$post.poster_id}">
									<img src="{$post.user.avatar}" alt="useravatar" title="{if $post.poster}{if $agora_config.o_fullnames_enabled}{$post.user.name}{else}{$post.poster}{/if}{/if}" />
								</a>
							</dd>

							<dd class="ag_useractive">
								{if $post.user.online}
								<img src="{$root_url}style/{$agora_config.o_default_style}/img/online.gif" alt="##Online##" />
								{else}
								<img src="{$root_url}style/{$agora_config.o_default_style}/img/offline.gif" alt="##Offline##" />
								{/if}
							</dd>

						</dl>
					</div>
					<!-- /user info  -->
				</div>
			</div>
		</div>

		<!-- post edit  -->
		<div id="ag_post_tools_{$post.id}" class="ag_post_tools">
			<strong>##Add post to split topic##<input type="checkbox" name="splitpost[{$post.id}]" value="1" style="float:right;" />&nbsp;&nbsp;</strong>
		</div>
		<!-- /post edit  -->
	</div>
	<!-- /post content -->
</div>
<div class="ag_post_separator"></div>

