{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
{if $agora_config.o_rss_enabled}
{feed task=rss key=$agora_user.rss_id}
{/if}

<div class="ag_forumButtons_wrap">
	<div class="ag_inbox">
		<div class="ag_bcrumbs">
			{include file=misc/topic_buttons.tpl}
		</div>
	</div>
</div>

<div class="ag_postlinksTop">
	<div class="ag_inbox">
		<div class="ag_bcrumbs">
			{include file=include/bcrumbs.tpl}
		</div>
		<div class="ag_pagelink">
			{include file=include/paginate.tpl}

			<div class="ag_forumTools">
				{include file=tools/topic_view.tpl}
			</div>
		</div>
	</div>
</div>

<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##All Topics##</span></h2>
</div>
<div id="vf" class="ag_tablewrap">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
		<thead>
			<tr>
				<th class="ag_leftend">&nbsp;</th>
				<th class="ag_spacer">&nbsp;</th>
				<th class="ag_column"><a href="{if $smarty.get.filter_order eq 'id' && $smarty.get.filter_order_Dir eq 'desc'}{url filter_order=id filter_order_Dir=asc}{else}{url filter_order=id filter_order_Dir=desc}{/if}" title="Click to sort by this column">##Forum##{if $smarty.get.filter_order eq 'id' && $smarty.get.filter_order_Dir eq 'desc'}<img src="administrator/images/sort_desc.png" alt=""  />{/if}{if $smarty.get.filter_order eq 'id' && $smarty.get.filter_order_Dir eq 'asc'}<img src="administrator/images/sort_asc.png" alt=""  />{/if}</a></th>
				<th class="ag_topic"><a href="{if $smarty.get.filter_order eq 'num_replies' && $smarty.get.filter_order_Dir eq 'desc'}{url filter_order=num_replies filter_order_Dir=asc}{else}{url filter_order=num_replies filter_order_Dir=desc}{/if}" title="Click to sort by this column">##Stats##{if $smarty.get.filter_order eq 'num_replies' && $smarty.get.filter_order_Dir eq 'desc'}<img src="administrator/images/sort_desc.png" alt=""  />{/if}{if $smarty.get.filter_order eq 'num_replies' && $smarty.get.filter_order_Dir eq 'asc'}<img src="administrator/images/sort_asc.png" alt=""  />{/if}</a></th>
				<th class="ag_lastpost"><a href="{if $smarty.get.filter_order eq 'last_post' && $smarty.get.filter_order_Dir eq 'desc'}{url filter_order=last_post filter_order_Dir=asc}{else}{url filter_order=last_post filter_order_Dir=desc}{/if}" title="Click to sort by this column">##Last post##{if $smarty.get.filter_order eq 'last_post' && $smarty.get.filter_order_Dir eq 'desc'}<img src="administrator/images/sort_desc.png" alt=""  />{/if}{if $smarty.get.filter_order eq 'last_post' && $smarty.get.filter_order_Dir eq 'asc'}<img src="administrator/images/sort_asc.png" alt=""  />{/if}</a></th>
			</tr>
		</thead>
		<tbody>
			{foreach from=$topics item=topic}
			{include file=include/topic_row.tpl}
			{foreachelse}
			<tr>
				<td class="ag_empty_forum" colspan="5">##Empty forum##</td>
			</tr>
			{/foreach}
		</tbody>
	</table>
</div>

<div class="ag_postlinksBottom">
	<div class="ag_pagelink">
		{include file=include/paginate.tpl}
	</div>
</div>
<div class="ag_bcrumbs">
	{include file=include/bcrumbs.tpl}
</div>
<div class="ag_clearer"></div>