{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##preview##: {$topic.subject}</span></h2>
</div>
<div class="ag_outerwrap">
	<div id="post_{$post.id}" class="ag_blockpostroweven">
		<!-- message header -->
		<div class="ag_rightend">
			<div class="ag_headerbar">
				<span class="ag_middle">
					<span class="ag_postdate">{$post.posted|agora_date}</span>
				</span>
			</div>
		</div>
		<!-- /message header -->
		<!-- message content -->
		<div id="postrow_area_{$post.id}" class="ag_postrow {if $agora_config.o_userdata eq 0}ag_left_column{elseif $agora_config.o_userdata eq 1}ag_right_column{/if}">
			<div class="ag_postrow_container">

				<div class="ag_postrow_wrap">
					<div class="ag_postrow_col1">
						<!-- message text -->
						<div id="ag_postarea_{$post.id}" class="ag_postarea">
							<div id="fulltext{$post.id}">
								<div class="ag_postmsg">
									{$post.message}
								</div>
							</div>
						</div>
						<!-- /message text -->
					</div>
				</div>

				<div class="ag_postrow_col2">
					<!-- user info  -->
					<div class="ag_avatararea userimg">
						<dl>
							<dt class="ag_username">
								{$post.user.username}
							</dt>
							<dd class="ag_postavatar">
								<img src="{$post.user.avatar}" alt="##Avatar##" title="{$post.user.username}" />
							</dd>
							<dd class="ag_useractive">
								{if $post.user.online}
								<img src="{$root_url}style/{$agora_config.o_default_style}/img/online.gif" alt="##Online##" />
								{else}
								<img src="{$root_url}style/{$agora_config.o_default_style}/img/offline.gif" alt="##Offline##" />
								{/if}
							</dd>
							{if $post.user.location}
							<dd>
								<strong>##From##:</strong> {$post.user.location}
							</dd>
							{/if}
							<dd>
								<strong>##Registered##:</strong><br />
								{$post.user.registered|agora_date}
							</dd>
							{if $agora_config.o_show_post_count}
							<dd class="ag_userpost_count">
								<span>{$post.user.num_posts}</span> ##Posts##
							</dd>
							{/if}
							{if $post.user.admin_note}
							<dd>
								{$post.user.admin_note}
							</dd>
							{/if}
						</dl>
					</div>
					<!-- /user info  -->
				</div>
			</div>
		</div>
		<!-- /message content -->
	</div>
	<div class="ag_post_separator"></div>

	<div class="ag_postbuttons">
		<form class="ag_floatleft_preview" method="post" action="{$self_url}">
			<input type="hidden" name="action" value="send" />
			<input type="hidden" name="savemessage" value="{$savemessage}" />
			<input type="hidden" name="req_message" value="{$raw_message}" />
			<input type="hidden" name="req_username" value="{$req_username}" />
			<input type="hidden" name="req_subject" value="{$req_subject}" />
			<input type="hidden" name="PMSReply" value="{$PMSReply}" />
			<input type="submit" name="save" value="##Submit##" title="##Submit##" class="ag_button ag_btn_submit" />
		</form>
		<!--form class="ag_floatleft_preview" method="post" action="{url task=pms page=compose}">
			<input type="hidden" name="action" value="editpms" />
			<input type="hidden" name="savemessage" value="{$savemessage}" />
			<input type="hidden" name="req_message" value="{$raw_message}" />
			<input type="hidden" name="req_username" value="{$req_username}" />
			<input type="hidden" name="req_subject" value="{$req_subject}" />
			<input type="hidden" name="hide_smilies" value="{$hide_smilies}" />
			<input type="hidden" name="PMSReply" value="{$PMSReply}" />
			<input type="submit" name="save" value="##Edit##" title="##Edit##" class="ag_button ag_btn_edit" />
		</form-->
	</div>
</div>