{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
{script src='js/pms_ajax.js'}
{$script_var}
<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##Private Messages##</span></h2>
</div>
<div class="ag_outerwrap">
	<div class="ag_pms_toolbar">
		<ul class="ag_pms_toolbar">
			<li>
				<a href="{url task=pms page=compose}">
					<img src="{$root_url}img/admin/pms-compose.png" alt="##Compose##" title="##Compose##" />
				</a>
			</li>
			<li>
				<a href="{url task=pms box=0}">
					<img src="{$root_url}img/admin/pms-inbox.png" alt="##Inbox##" title="##Inbox##" />
				</a>
			</li>
			<li>
				<a href="{url task=pms box=1}">
					<img src="{$root_url}img/admin/pms-sent.png" alt="##Sent##" title="##Sent##" />
				</a>
			</li>
		</ul>
	</div>
	<div class="ag_clearer"></div>
</div>

<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##Send private message##</span></h2>
</div>
<div class="ag_outerwrap">
	<form id="post" method="post" name="post" action="{url task=pms page=compose action=send}">
		<fieldset class="ag_inform">
			<legend class="ag_color">##Select User legend##</legend>
			<div class="ag_infldset">
				<table width="100%" border="0" cellspacing="2" cellpadding="2">
					<tr>
						<td width="300" valign="top" class="select_pms">
							<div id="select_pms">
								{foreach from=$userlist item=user}
								<div id="user{$user.id}" class="innertxt">
									<div class="pms_add" onclick="addToPM('{$user.id}');">
										{$user.use_name}
									</div>
								</div>
								<div class="ag_clearer"></div>
								{/foreach}
							</div>
							<div class="ag_postlinksBottom">
								<div class="ag_pagelink">
									{include file=include/paginate.tpl}
								</div>
							</div>
						</td>
						<td valign="top" style="padding-left: 20px; ">
							<div id="ag_queueTop"><h3>##Recipients##</h3></div>
							<div id="list_pms">
								<div id="ag_queueCon"></div>
								<div id="ag_queueLst"></div>
								<div id="aglst"></div>
								<div id="ag_queueSub"></div>
							</div>
							<div id="ag_queueBot"></div>

							<div class="ag_clearer"></div><br />

							<div class="a_group_clear"></div>
							<div id="search-wrap">
								<h3>##Search##</h3>
								<div>
									<input name="searchb" id="searchb" type="text" autocomplete="off" onkeyup="javascript:autosuggest()" />
								</div>
								<div style="clear:both;"></div>
								<div id="results"></div>  
							</div>
						</td>
					</tr>
				</table>
				<div class="ag_clearer"></div>
			</div>
		</fieldset>
		<div class="ag_postbuttons">
			<span>
				<a href="javascript:void(0);" class="ag_btn_goback" title="##Go back##" onclick="javascript:history.go(-1)">##Go back##</a>
			</span>
		</div>
	</form>
</div>