{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">##Private Messages##</span></h2>
</div>
<div class="ag_outerwrap">
	<div class="ag_pms_toolbar">
		<ul class="ag_pms_toolbar">
			<li>
				<a href="{url task=pms page=compose}">
					<img src="{$root_url}img/admin/pms-compose.png" alt="##Compose##" title="##Compose##" />
				</a>
			</li>
			<li>
				<a href="{url task=pms box=0}">
					<img src="{$root_url}img/admin/pms-inbox.png" alt="##Inbox##" title="##Inbox##" />
				</a>
			</li>
			<li>
				<a href="{url task=pms box=1}">
					<img src="{$root_url}img/admin/pms-sent.png" alt="##Sent##" title="##Sent##" />
				</a>
			</li>
		</ul>
	</div>
	<div class="ag_clearer"></div>
</div>

<div class="ag_rightend">
	<h2 class="ag_headerbar"><span class="ag_middle">{$post.subject}</span></h2>
</div>
<div id="post_{$post.id}" class="ag_blockpostroweven">
	<!-- message header -->
	<div class="ag_rightend">
		<div class="ag_headerbar">
			<span class="ag_middle">
				<span class="ag_postdate">{$post.posted|agora_date}</span>
			</span>
		</div>
	</div>
	<!-- /message header -->
	<!-- message content -->
	<div id="postrow_area_{$post.id}" class="ag_postrow {if $agora_config.o_userdata eq 0}ag_left_column{elseif $agora_config.o_userdata eq 1}ag_right_column{/if}">
		<div class="ag_postrow_container">

			<div class="ag_postrow_wrap">
				<div class="ag_postrow_col1">
					<!-- message text -->
					<div id="ag_postarea_{$post.id}" class="ag_postarea">
						<div id="fulltext{$post.id}">
							<div class="ag_postmsg">
								{$post.message}
							</div>
						</div>
					</div>
					<!-- /message text -->
				</div>
			</div>

			<div class="ag_postrow_col2">
				<!-- user info  -->
				<div class="ag_avatararea userimg">
					<dl>
						<dt class="ag_username">
							{if $agora_config.o_fullnames_enabled}{$user.name}{else}{$user.username}{/if}
						</dt>
						<dd class="ag_usertitle">
							{$user.title}
						</dd>
						<dd class="ag_postavatar">
							<img src="{$user.avatar}" alt="##Avatar##" title="{$user.username}" />
						</dd>
						<dd class="ag_useractive">
							{if $user.online}
							<img src="{$root_url}style/{$agora_config.o_default_style}/img/online.gif" alt="##Online##" />
							{else}
							<img src="{$root_url}style/{$agora_config.o_default_style}/img/offline.gif" alt="##Offline##" />
							{/if}
						</dd>
						{if $user.location}
						<dd>
							<strong>##From##:</strong> {$user.location}
						</dd>
						{/if}
						<dd>
							<strong>##Registered##:</strong><br />
							{$user.registered|agora_date}
						</dd>
						{if $agora_config.o_show_post_count}
						<dd class="ag_userpost_count">
							<span>{$user.num_posts}</span> ##Posts##
						</dd>
						{/if}
						{if $user.admin_note}
						<dd>
							{$user.admin_note}
						</dd>
						{/if}
					</dl>
				</div>
				<!-- /user info  -->
			</div>
		</div>
	</div>
	<!-- message edit  -->
	<div class="ag_post_tools">
		<div class="ag_post_buttons">
			{if $box eq 'inbox' && !$user.is_guest}
			<span class="ag_bttn ag_bttn_r">
				<a href="{url task=pms page=reply id=$post.id}">
					<img src="{$root_url}style/{$agora_config.o_default_style}/img/post_add.png" alt="##Post reply##" /> ##Reply##
				</a>
			</span>
			{/if}
			<span class="ag_bttn ag_bttn_r">
				<a href="{url task=pms page=list action=delete delete_messages=$post.id}">
					<img src="{$root_url}style/{$agora_config.o_default_style}/img/post_delete.png" alt="##Delete##" /> ##Delete##
				</a>
			</span>
		</div>
	</div>
	<!-- /message edit  -->
	<!-- /message content -->
</div>
<div class="ag_post_separator"></div>