{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_outerwrap">
	<div class="ag_inform">
		<fieldset>
			<legend class="ag_color">{$topic.question|escape}</legend>
			<div class="ag_infldset txtarea">
				{foreach from=$poll.options key=option_num item=option}
				<div class="ag_poll_question">{$option.name}</div>
				<div class="ag_poll_result_yesno">
					<strong>{$topic.yes}</strong>
					<img src="{$root_url}style/{$agora_config.o_default_style}/img/poll_bar.png" class="ag_poll_bar" style="width:{$option.yes_percent/2+1}%;" alt="" />
					<span class="ag_poll_votes">{$option.yes_percent}% <small>({$option.yes_count} ##votes##)</small></span>
				</div>
				<div class="ag_poll_result_yesno">
					<strong>{$topic.no}</strong>
					<img src="{$root_url}style/{$agora_config.o_default_style}/img/poll_bar.png" class="ag_poll_bar" style="width:{$option.no_percent/2}%" alt="" />
					<span class="ag_poll_votes">{$option.no_percent}% <small>({$option.no_count} ##votes##)</small></span>
				</div>
				{/foreach}
				<div class="ag_clearer"></div><br />
				<p class="ag_poll_info"><strong>Total : {$poll.total_votes}</strong></p>
				<p class="ag_postedit">##Poll Creation##: {$poll.created|agora_date}</p>
				{if $poll.edited}
				<p class="ag_postedit">##Poll Edition##: {$poll.edited|agora_date}</p>
				{/if}
			</div>
		</fieldset>
	</div>
</div>
