{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<div class="ag_postwrap">
	<div class="ag_rightend">
		<h2 class="ag_headerbar"><span class="ag_middle">##Section display##</span></h2>
	</div>

	<div class="ag_outerwrap">
		<form id="profile5" method="post" action="{$self_url|escape}">
			<fieldset class="ag_inform">
				<legend class="ag_color">##Post display legend##</legend>
				<div class="ag_infldsetprofile">
					<p class="ag_profile_instructions">##Post display info##</p>
					<label>
						<input type="checkbox" name="form[show_smilies]" value="1"{if $user.show_smilies} checked="checked"{/if} />
						##Show smilies##
					</label>
					<br />
					<label>
						<input type="checkbox" name="form[show_sig]" value="1"{if $user.show_sig} checked="checked"{/if} />
						##Show sigs##
					</label>
					<br />
					{if $agora_config.o_avatars}
					<label>
						<input type="checkbox" name="form[show_avatars]" value="1"{if $user.show_avatars} checked="checked"{/if} />
						##Show avatars##
					</label>
					<br />
					{/if}
					<label>
						<input type="checkbox" name="form[show_img]" value="1"{if $user.show_img} checked="checked"{/if} />
						##Show images##
					</label>
					<br />
					<label>
						<input type="checkbox" name="form[show_img_sig]" value="1"{if $user.show_img_sig} checked="checked"{/if} />
						##Show images sigs##
					</label>
					<br /><br />

					<p class="ag_profile_instructions">##Reverse posts info##</p>
					<label>
						<input type="checkbox" name="form[reverse_posts]" value="1"{if $user.reverse_posts} checked="checked"{/if} />
						##Reverse posts##
					</label>
				</div>
			</fieldset>
			<fieldset class="ag_inform">
				<legend class="ag_color">##Pagination legend##</legend>
				<div class="ag_infldsetprofile">
					<p class="ag_profile_instructions">##Paginate info##</p>
					<table width="100" border="0" cellpadding="0" cellspacing="0" class="ag_profile">
						<tbody>
							<tr>
								<td width="100px" class="ag_right">
									##Topics per page##:
								</td>
								<td>
									<label>
										<input class="ag_text_area2" type="text" name="form[disp_topics]" value="{$user.disp_topics}" size="6" maxlength="3" />
									</label>
								</td>
							</tr>
							<tr>
								<td width="100px" class="ag_right">
									##Posts per page##:
								</td>
								<td>
									<label>
										<input class="ag_text_area2" type="text" name="form[disp_posts]" value="{$user.disp_posts}" size="6" maxlength="3" />
									</label>
								</td>
							</tr>
						</tbody>
					</table>
				</div>
			</fieldset>
			<fieldset class="ag_inform">
				<legend class="ag_color">##Manage reputation##</legend>
				<div class="ag_infldsetprofile">
					<p class="ag_profile_instructions">##Description Manage reputation##</p>
					<label>
						<input type="radio" name="form[reputation_enable]" value="1"{if $user.reputation_enable} checked="checked"{/if} />
						<strong>##Yes##</strong>
					</label>
					<label>
						<input type="radio" name="form[reputation_enable]" value="0"{if !$user.reputation_enable} checked="checked"{/if} />
						<strong>##No##</strong>
					</label>
				</div>
			</fieldset>
			<div class="ag_postbuttons">
				<div class="ag_hint">##Instructions##</div><br />
				<span>
					<input class="ag_button ag_btn_submit" type="submit" name="update" value="##Save##" title="##Save##" accesskey="s" />
				</span>
			</div>
			<input type="hidden" name="action" value="save" />
		</form>
	</div>
</div>