{*
 * This file is part of the Agora distribution. 
 * Detailed copyright and licensing information can be found
 * in the gpl-3.0.txt file which should be included in the distribution.
 * 
 * @version		$Id: 3.0.14 Olympus 2010-09-28 rammstein4o $
 * @copyright  2007 - 2010 jVitals
 * @license   GPLv3 Open Source
 * @link       http://jvitals.com
 * @since      File available since initial release
 *}
<ul id="ag_f_menu">
	<li class="ag_node">
		<a href="javascript:void(0);" class="ag_f_menu_title">##Post Tools##</a>
		<ul>
			{if $access.make_sticky}
			<li class="ag_li">
				{if $topic.sticky}
				<a href="{url task=topic action=unsticky id=$topic.id}" class="icon_unsticky">##UnSticky Topic##</a>
				{else}
				<a href="{url task=topic action=sticky id=$topic.id}" class="icon_sticky">##Sticky Topic##</a>
				{/if}
			</li>
			{/if}
			{if $access.close_topic}
			<li class="ag_li">
				{if $topic.closed}
				<a href="{url task=topic action=open id=$topic.id}" class="icon_open">##Open Topic##</a>
				{else}
				<a href="{url task=topic action=close id=$topic.id}" class="icon_close">##Close Topic##</a>
				{/if}
			</li>
			<li class="ag_li">
				<a href="{url task=topic action=merge source_id=$topic.id type=clean}" rel="{ldelim}handler:'iframe', size: {ldelim}x: 400, y: 300{rdelim}{rdelim}" class="modal icon_merge">##Merge Topic##</a>
			</li>
			<li class="ag_li">
				<a href="{url task=topic action=move source_id=$topic.id type=clean}" rel="{ldelim}handler:'iframe', size: {ldelim}x: 400, y: 300{rdelim}{rdelim}" class="modal icon_move">##Move Topic##</a>
			</li>
			{/if}

			{if $access.post_reply}
			<li class="ag_li">
				<a href="{url task=rate id=$topic.id}" class="icon_rate">##Rate topic##</a>
			</li>
			{/if}
			<li class="ag_li">
				{if !$topic.subscribed}
				<a href="{url task=topic action=subscribe id=$topic.id}" class="icon_subscribe">##Subscribe##</a>
				{else}
				<a href="{url task=topic action=unsubscribe id=$topic.id}" class="icon_unsubscribe">##Unsubscribe##</a>
				{/if}
			</li>
		</ul>
	</li>
</ul>